#include<bits/stdc++.h>
using namespace std;
int n;
long long suma;
void set1(){
    int l = 1;
    int r = n;
    int mid = (r+l)/2;
    while(l < r){
        suma+= (r-l);
        r--;
        l++;
    }
    if(n%2 == 0){
        cout << suma << '\n';
    }
    else cout << suma+mid << '\n';
}

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cin >> n;
    set1();
    return 0;
}